# AbstractEdge | data-structure-typed
Documentation for data-structure-typed

# Class AbstractEdge`Abstract`

#### Hierarchy

- AbstractEdge
  - DirectedEdge
  - UndirectedEdge

- Defined in src/data-structures/graph/abstract-graph.ts:25

#####
Index

### Constructors

constructor

### Properties

_hashCode
_weight
DEFAULT_EDGE_WEIGHT

### Accessors

hashCode
weight

## Constructors

### `Protected` constructor

- new AbstractEdge(weight?): AbstractEdge

- #### Parameters

  - ##### `Optional` weight: number

  #### Returns AbstractEdge

  - Defined in src/data-structures/graph/abstract-graph.ts:29

## Properties

### `Private` _hashCode

_hashCode: string

- Defined in src/data-structures/graph/abstract-graph.ts:45

### `Private` _weight

_weight: number

- Defined in src/data-structures/graph/abstract-graph.ts:35

### `Static` DEFAULT_EDGE_WEIGHT

DEFAULT_EDGE_WEIGHT: number = 1

- Defined in src/data-structures/graph/abstract-graph.ts:27

## Accessors

### hashCode

- get hashCode(): string

- #### Returns string

  - Defined in src/data-structures/graph/abstract-graph.ts:47
- set hashCode(v): void

- #### Parameters

  - ##### v: string

  #### Returns void

  - Defined in src/data-structures/graph/abstract-graph.ts:51

### weight

- get weight(): number

- #### Returns number

  - Defined in src/data-structures/graph/abstract-graph.ts:37
- set weight(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/data-structures/graph/abstract-graph.ts:41

Generated using TypeDoc